<?php
/*
$LastChangedDate: 2013-04-30 04:32:09 -0700 (Tue, 30 Apr 2013) $
$Rev: 10248 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

# --------------------------------------------------------------------------------------
#
#	sp_AdminQueue()
#	Display the admin queue
#	Scope:	site
#
#	class:			CSS styling class
#
#	label:
#
# --------------------------------------------------------------------------------------
function sp_AdminQueueTag($args, $viewLabel='', $unreadLabel='', $modLabel='', $spamLabel='', $toolTip='') {
    include_once(SPABLIBDIR.'sp-admin-bar-components.php');
	global $spNewPosts, $spThisUser;

	# bail if not admin or moderator
	if (!$spThisUser->admin && !$spThisUser->moderator) return;

	# is this admin showing the admin bar?
	if (!isset($spThisUser->sfadminbar) || $spThisUser->sfadminbar==false ) return;

	$defs = array('tagId'       => 'spAdminQueue',
                  'tagClass'    => 'spAdminQueue',
				  'buttonClass' => 'spButton',
				  'icon' 	    => 'sp_AdminQueue.png',
				  'iconClass'   => 'spIcon',
				  'countClass'  => 'spButtonAsLabel',
				  );
	$a = wp_parse_args($args, $defs);
	$a = apply_filters('sph_AdminQueue_args', $a);
	extract($a, EXTR_SKIP);

	# sanitize before use
	$tagId 	    = esc_attr($tagId);
	$tagClass	= esc_attr($tagClass);

	$out = '';
	$out.= "<div id='$tagId' class='$tagClass'>";
	$out.= '<div id="spAdminQueueCounts">';
	$out.= sp_GetWaitingUrl($spNewPosts, $a, $viewLabel, $unreadLabel, $modLabel, $spamLabel, $toolTip);
	$out.= '</div>';
	$out.= '<img class="spInlineSection" id="spBarSpinner" src="'.SFCOMMONIMAGES.'working.gif" alt="" />';
    $out.= '</div>';
	$out.= '<div id="spAdminQueueList"></div>';

	$out = apply_filters('sph_AdminQueue', $out, $a);
	echo $out;
}

?>